#include <fcntl.h>
#include <sys/mman.h>
#include "ev3sensor.h"
#include "uart.h"

int g_uartFile = 0;
UART* g_uartSensors = 0;

int initSensors()
{
     g_uartFile = open("/dev/lms_uart", O_RDWR | O_SYNC);
     g_uartSensors = (UART*)mmap(0, sizeof(UART), PROT_READ | PROT_WRITE,
                                    MAP_FILE | MAP_SHARED, g_uartFile, 0);
     return 0;
}

int readSensor(int sensorPort)
{
     UWORD currentSensorSlot = g_uartSensors->Actual[sensorPort];
     return g_uartSensors->Raw[sensorPort][currentSensorSlot][0];
}